import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeCertificatesInput } from "../types/DescribeCertificatesInput";
import { DescribeCertificatesOutput } from "../types/DescribeCertificatesOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/DescribeCertificatesInput";
export * from "../types/DescribeCertificatesOutput";
export * from "../types/DescribeCertificatesExceptionsUnion";
export declare class DescribeCertificatesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeCertificatesInput, OutputTypesUnion, DescribeCertificatesOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: DescribeCertificatesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeCertificatesInput, DescribeCertificatesOutput, Blob>;
    constructor(input: DescribeCertificatesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeCertificatesInput, DescribeCertificatesOutput>;
}
