import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RefreshSchemasInput } from "../types/RefreshSchemasInput";
import { RefreshSchemasOutput } from "../types/RefreshSchemasOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/RefreshSchemasInput";
export * from "../types/RefreshSchemasOutput";
export * from "../types/RefreshSchemasExceptionsUnion";
export declare class RefreshSchemasCommand implements __aws_sdk_types.Command<InputTypesUnion, RefreshSchemasInput, OutputTypesUnion, RefreshSchemasOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: RefreshSchemasInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RefreshSchemasInput, RefreshSchemasOutput, Blob>;
    constructor(input: RefreshSchemasInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<RefreshSchemasInput, RefreshSchemasOutput>;
}
