"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RefreshSchemas_1 = require("../model/operations/RefreshSchemas");
var RefreshSchemasCommand = /** @class */ (function () {
    function RefreshSchemasCommand(input) {
        this.input = input;
        this.model = RefreshSchemas_1.RefreshSchemas;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RefreshSchemasCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RefreshSchemasCommand;
}());
exports.RefreshSchemasCommand = RefreshSchemasCommand;
//# sourceMappingURL=RefreshSchemasCommand.js.map