"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribePendingMaintenanceActionsInput_1 = require("../shapes/DescribePendingMaintenanceActionsInput");
var DescribePendingMaintenanceActionsOutput_1 = require("../shapes/DescribePendingMaintenanceActionsOutput");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribePendingMaintenanceActions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribePendingMaintenanceActions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribePendingMaintenanceActionsInput_1.DescribePendingMaintenanceActionsInput
    },
    output: {
        shape: DescribePendingMaintenanceActionsOutput_1.DescribePendingMaintenanceActionsOutput
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribePendingMaintenanceActions.js.map