"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeReplicationInstanceTaskLogsInput_1 = require("../shapes/DescribeReplicationInstanceTaskLogsInput");
var DescribeReplicationInstanceTaskLogsOutput_1 = require("../shapes/DescribeReplicationInstanceTaskLogsOutput");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeReplicationInstanceTaskLogs = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeReplicationInstanceTaskLogs",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeReplicationInstanceTaskLogsInput_1.DescribeReplicationInstanceTaskLogsInput
    },
    output: {
        shape: DescribeReplicationInstanceTaskLogsOutput_1.DescribeReplicationInstanceTaskLogsOutput
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        }
    ]
};
//# sourceMappingURL=DescribeReplicationInstanceTaskLogs.js.map