"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _VpcSecurityGroupIdList_1 = require("./_VpcSecurityGroupIdList");
var _TagList_1 = require("./_TagList");
exports.CreateReplicationInstanceInput = {
    type: "structure",
    required: ["ReplicationInstanceIdentifier", "ReplicationInstanceClass"],
    members: {
        ReplicationInstanceIdentifier: {
            shape: {
                type: "string"
            }
        },
        AllocatedStorage: {
            shape: {
                type: "integer"
            }
        },
        ReplicationInstanceClass: {
            shape: {
                type: "string"
            }
        },
        VpcSecurityGroupIds: {
            shape: _VpcSecurityGroupIdList_1._VpcSecurityGroupIdList
        },
        AvailabilityZone: {
            shape: {
                type: "string"
            }
        },
        ReplicationSubnetGroupIdentifier: {
            shape: {
                type: "string"
            }
        },
        PreferredMaintenanceWindow: {
            shape: {
                type: "string"
            }
        },
        MultiAZ: {
            shape: {
                type: "boolean"
            }
        },
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        AutoMinorVersionUpgrade: {
            shape: {
                type: "boolean"
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        },
        KmsKeyId: {
            shape: {
                type: "string"
            }
        },
        PubliclyAccessible: {
            shape: {
                type: "boolean"
            }
        },
        DnsNameServers: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=CreateReplicationInstanceInput.js.map