"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ReplicationTaskStats_1 = require("./_ReplicationTaskStats");
exports._ReplicationTask = {
    type: "structure",
    required: [],
    members: {
        ReplicationTaskIdentifier: {
            shape: {
                type: "string"
            }
        },
        SourceEndpointArn: {
            shape: {
                type: "string"
            }
        },
        TargetEndpointArn: {
            shape: {
                type: "string"
            }
        },
        ReplicationInstanceArn: {
            shape: {
                type: "string"
            }
        },
        MigrationType: {
            shape: {
                type: "string"
            }
        },
        TableMappings: {
            shape: {
                type: "string"
            }
        },
        ReplicationTaskSettings: {
            shape: {
                type: "string"
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        LastFailureMessage: {
            shape: {
                type: "string"
            }
        },
        StopReason: {
            shape: {
                type: "string"
            }
        },
        ReplicationTaskCreationDate: {
            shape: {
                type: "timestamp"
            }
        },
        ReplicationTaskStartDate: {
            shape: {
                type: "timestamp"
            }
        },
        CdcStartPosition: {
            shape: {
                type: "string"
            }
        },
        CdcStopPosition: {
            shape: {
                type: "string"
            }
        },
        RecoveryCheckpoint: {
            shape: {
                type: "string"
            }
        },
        ReplicationTaskArn: {
            shape: {
                type: "string"
            }
        },
        ReplicationTaskStats: {
            shape: _ReplicationTaskStats_1._ReplicationTaskStats
        }
    }
};
//# sourceMappingURL=_ReplicationTask.js.map