import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateReplicationTaskInput } from "../types/CreateReplicationTaskInput";
import { CreateReplicationTaskOutput } from "../types/CreateReplicationTaskOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/CreateReplicationTaskInput";
export * from "../types/CreateReplicationTaskOutput";
export * from "../types/CreateReplicationTaskExceptionsUnion";
export declare class CreateReplicationTaskCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateReplicationTaskInput, OutputTypesUnion, CreateReplicationTaskOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: CreateReplicationTaskInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateReplicationTaskInput, CreateReplicationTaskOutput, Blob>;
    constructor(input: CreateReplicationTaskInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<CreateReplicationTaskInput, CreateReplicationTaskOutput>;
}
