"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteReplicationSubnetGroup_1 = require("../model/operations/DeleteReplicationSubnetGroup");
var DeleteReplicationSubnetGroupCommand = /** @class */ (function () {
    function DeleteReplicationSubnetGroupCommand(input) {
        this.input = input;
        this.model = DeleteReplicationSubnetGroup_1.DeleteReplicationSubnetGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteReplicationSubnetGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteReplicationSubnetGroupCommand;
}());
exports.DeleteReplicationSubnetGroupCommand = DeleteReplicationSubnetGroupCommand;
//# sourceMappingURL=DeleteReplicationSubnetGroupCommand.js.map