"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeCertificates_1 = require("../model/operations/DescribeCertificates");
var DescribeCertificatesCommand = /** @class */ (function () {
    function DescribeCertificatesCommand(input) {
        this.input = input;
        this.model = DescribeCertificates_1.DescribeCertificates;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeCertificatesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeCertificatesCommand;
}());
exports.DescribeCertificatesCommand = DescribeCertificatesCommand;
//# sourceMappingURL=DescribeCertificatesCommand.js.map