import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeReplicationTasksInput } from "../types/DescribeReplicationTasksInput";
import { DescribeReplicationTasksOutput } from "../types/DescribeReplicationTasksOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/DescribeReplicationTasksInput";
export * from "../types/DescribeReplicationTasksOutput";
export * from "../types/DescribeReplicationTasksExceptionsUnion";
export declare class DescribeReplicationTasksCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeReplicationTasksInput, OutputTypesUnion, DescribeReplicationTasksOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: DescribeReplicationTasksInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeReplicationTasksInput, DescribeReplicationTasksOutput, Blob>;
    constructor(input: DescribeReplicationTasksInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeReplicationTasksInput, DescribeReplicationTasksOutput>;
}
