import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ModifyEventSubscriptionInput } from "../types/ModifyEventSubscriptionInput";
import { ModifyEventSubscriptionOutput } from "../types/ModifyEventSubscriptionOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/ModifyEventSubscriptionInput";
export * from "../types/ModifyEventSubscriptionOutput";
export * from "../types/ModifyEventSubscriptionExceptionsUnion";
export declare class ModifyEventSubscriptionCommand implements __aws_sdk_types.Command<InputTypesUnion, ModifyEventSubscriptionInput, OutputTypesUnion, ModifyEventSubscriptionOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: ModifyEventSubscriptionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ModifyEventSubscriptionInput, ModifyEventSubscriptionOutput, Blob>;
    constructor(input: ModifyEventSubscriptionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<ModifyEventSubscriptionInput, ModifyEventSubscriptionOutput>;
}
