"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyEventSubscription_1 = require("../model/operations/ModifyEventSubscription");
var ModifyEventSubscriptionCommand = /** @class */ (function () {
    function ModifyEventSubscriptionCommand(input) {
        this.input = input;
        this.model = ModifyEventSubscription_1.ModifyEventSubscription;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyEventSubscriptionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyEventSubscriptionCommand;
}());
exports.ModifyEventSubscriptionCommand = ModifyEventSubscriptionCommand;
//# sourceMappingURL=ModifyEventSubscriptionCommand.js.map