import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ModifyReplicationInstanceInput } from "../types/ModifyReplicationInstanceInput";
import { ModifyReplicationInstanceOutput } from "../types/ModifyReplicationInstanceOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/ModifyReplicationInstanceInput";
export * from "../types/ModifyReplicationInstanceOutput";
export * from "../types/ModifyReplicationInstanceExceptionsUnion";
export declare class ModifyReplicationInstanceCommand implements __aws_sdk_types.Command<InputTypesUnion, ModifyReplicationInstanceInput, OutputTypesUnion, ModifyReplicationInstanceOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: ModifyReplicationInstanceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ModifyReplicationInstanceInput, ModifyReplicationInstanceOutput, Blob>;
    constructor(input: ModifyReplicationInstanceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<ModifyReplicationInstanceInput, ModifyReplicationInstanceOutput>;
}
