"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyReplicationSubnetGroup_1 = require("../model/operations/ModifyReplicationSubnetGroup");
var ModifyReplicationSubnetGroupCommand = /** @class */ (function () {
    function ModifyReplicationSubnetGroupCommand(input) {
        this.input = input;
        this.model = ModifyReplicationSubnetGroup_1.ModifyReplicationSubnetGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyReplicationSubnetGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyReplicationSubnetGroupCommand;
}());
exports.ModifyReplicationSubnetGroupCommand = ModifyReplicationSubnetGroupCommand;
//# sourceMappingURL=ModifyReplicationSubnetGroupCommand.js.map