import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StartReplicationTaskInput } from "../types/StartReplicationTaskInput";
import { StartReplicationTaskOutput } from "../types/StartReplicationTaskOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/StartReplicationTaskInput";
export * from "../types/StartReplicationTaskOutput";
export * from "../types/StartReplicationTaskExceptionsUnion";
export declare class StartReplicationTaskCommand implements __aws_sdk_types.Command<InputTypesUnion, StartReplicationTaskInput, OutputTypesUnion, StartReplicationTaskOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: StartReplicationTaskInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StartReplicationTaskInput, StartReplicationTaskOutput, Blob>;
    constructor(input: StartReplicationTaskInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<StartReplicationTaskInput, StartReplicationTaskOutput>;
}
