"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AddTagsToResourceInput_1 = require("../shapes/AddTagsToResourceInput");
var AddTagsToResourceOutput_1 = require("../shapes/AddTagsToResourceOutput");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AddTagsToResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AddTagsToResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AddTagsToResourceInput_1.AddTagsToResourceInput
    },
    output: {
        shape: AddTagsToResourceOutput_1.AddTagsToResourceOutput
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        }
    ]
};
//# sourceMappingURL=AddTagsToResource.js.map