"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteCertificateInput_1 = require("../shapes/DeleteCertificateInput");
var DeleteCertificateOutput_1 = require("../shapes/DeleteCertificateOutput");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteCertificate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteCertificate",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteCertificateInput_1.DeleteCertificateInput
    },
    output: {
        shape: DeleteCertificateOutput_1.DeleteCertificateOutput
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        }
    ]
};
//# sourceMappingURL=DeleteCertificate.js.map