"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _VpcSecurityGroupMembershipList_1 = require("./_VpcSecurityGroupMembershipList");
var _ReplicationSubnetGroup_1 = require("./_ReplicationSubnetGroup");
var _ReplicationPendingModifiedValues_1 = require("./_ReplicationPendingModifiedValues");
var _ReplicationInstancePublicIpAddressList_1 = require("./_ReplicationInstancePublicIpAddressList");
var _ReplicationInstancePrivateIpAddressList_1 = require("./_ReplicationInstancePrivateIpAddressList");
exports._ReplicationInstance = {
    type: "structure",
    required: [],
    members: {
        ReplicationInstanceIdentifier: {
            shape: {
                type: "string"
            }
        },
        ReplicationInstanceClass: {
            shape: {
                type: "string"
            }
        },
        ReplicationInstanceStatus: {
            shape: {
                type: "string"
            }
        },
        AllocatedStorage: {
            shape: {
                type: "integer"
            }
        },
        InstanceCreateTime: {
            shape: {
                type: "timestamp"
            }
        },
        VpcSecurityGroups: {
            shape: _VpcSecurityGroupMembershipList_1._VpcSecurityGroupMembershipList
        },
        AvailabilityZone: {
            shape: {
                type: "string"
            }
        },
        ReplicationSubnetGroup: {
            shape: _ReplicationSubnetGroup_1._ReplicationSubnetGroup
        },
        PreferredMaintenanceWindow: {
            shape: {
                type: "string"
            }
        },
        PendingModifiedValues: {
            shape: _ReplicationPendingModifiedValues_1._ReplicationPendingModifiedValues
        },
        MultiAZ: {
            shape: {
                type: "boolean"
            }
        },
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        AutoMinorVersionUpgrade: {
            shape: {
                type: "boolean"
            }
        },
        KmsKeyId: {
            shape: {
                type: "string"
            }
        },
        ReplicationInstanceArn: {
            shape: {
                type: "string"
            }
        },
        ReplicationInstancePublicIpAddress: {
            shape: {
                type: "string"
            }
        },
        ReplicationInstancePrivateIpAddress: {
            shape: {
                type: "string"
            }
        },
        ReplicationInstancePublicIpAddresses: {
            shape: _ReplicationInstancePublicIpAddressList_1._ReplicationInstancePublicIpAddressList
        },
        ReplicationInstancePrivateIpAddresses: {
            shape: _ReplicationInstancePrivateIpAddressList_1._ReplicationInstancePrivateIpAddressList
        },
        PubliclyAccessible: {
            shape: {
                type: "boolean"
            }
        },
        SecondaryAvailabilityZone: {
            shape: {
                type: "string"
            }
        },
        FreeUntil: {
            shape: {
                type: "timestamp"
            }
        },
        DnsNameServers: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_ReplicationInstance.js.map